package com.zcloud.primeport.domain.gateway;

import com.zcloud.primeport.domain.model.VehicleViolationsE;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * web-domain
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:29
 */
public interface VehicleViolationsGateway {

    /**
     * 新增
     */
    Boolean add(VehicleViolationsE vehicleViolationsE);

    /**
     * 修改
     */
    Boolean update(VehicleViolationsE vehicleViolationsE);

    /**
     * 删除
     */
    Boolean deletedVehicleViolationsById(Long id);

    Boolean deletedVehicleViolationsByIds(Long[] id);

    List<VehicleViolationsE> listVehicleViolationByLicenceNo(String licenceNo);

    void updateVehicleViolationsStatusByLicenceNo(String licenceNo, int i);
}

